Subject: bug#23440: closed (Re: bug#23440: Acknowledgement (25.1.50; xml.el parses default namespace incorrectly))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Jan 2017 21:59:01 +0000

Your bug report

#23440: 25.1.50; xml.el parses default namespace incorrectly

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23440: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23440
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23440: Acknowledgement (25.1.50; xml.el parses default namespace incorrectly)
From: David Engster <[email-masked]>
To: Eric Abrahamsen <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Tue, 24 Jan 2017 22:58:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Abrahamsen writes:
> I forgot a cc was necessary. I'll ping him on this and see if he has any
> new opinions. If not I'll just push it.

Thanks for the reminder, I completely forgot about that one. I just
pushed it with an accompanying test.

-David

Subject: 25.1.50; xml.el parses default namespace incorrectly
From: Eric Abrahamsen <[email-masked]>
To: [email-masked]
Date: Wed, 04 May 2016 08:27:40 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Apparently xml.el isn't doing quite the right thing when parsing xml
default namespaces. With the following text:

<multistatus xmlns="DAV:">
</multistatus>

M-: (xml-parse-region nil nil nil nil 'symbol-qnames)

Should return:

((DAV:multistatus ((... . "DAV:"))

But actually returns:

((multistatus ((http://www\.w3\.org/2000/xmlns/xmlns . "DAV:"))

A bit more background:

http://article.gmane.org/gmane.emacs.devel/203476/

In GNU Emacs 25.1.50.20 (i686-pc-linux-gnu, GTK+ Version 3.20.3)
 of 2016-05-01 built on pellet
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 LIBSYSTEMD